com.fasterxml.jackson.module.afterburner.ser

## Class BeanPropertyAccessor

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.ser.BeanPropertyAccessor

    public abstract class BeanPropertyAccessor
    extends Object

Abstract class that defines interface for implementations that can be used for proxy-like access without using Reflection.

### Constructor Summary

Constructors
Constructor and Description
`BeanPropertyAccessor()`

### Method Summary

Methods
`int` `intField(Object bean, int property)`
`int` `intGetter(Object bean, int property)`
`long` `longField(Object bean, int property)`
`long` `longGetter(Object bean, int property)`
`Object` `objectField(Object bean, int property)`
`Object` `objectGetter(Object bean, int property)`
`String` `stringField(Object bean, int property)`
`String` `stringGetter(Object bean, int property)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanPropertyAccessor

    public BeanPropertyAccessor()

### Method Detail

#### intGetter

    public int intGetter(Object bean,
                int property)

#### longGetter

    public long longGetter(Object bean,
                  int property)

#### stringGetter

    public String stringGetter(Object bean,
                      int property)

#### objectGetter

    public Object objectGetter(Object bean,
                      int property)

#### intField

    public int intField(Object bean,
               int property)

#### longField

    public long longField(Object bean,
                 int property)

#### stringField

    public String stringField(Object bean,
                     int property)

#### objectField

    public Object objectField(Object bean,
                     int property)